Name:           perl-Sub-Uplevel
Summary:        Apparently run a function in a higher stack frame
Epoch:          1
Version:        0.2800
Release:        5
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Sub-Uplevel/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/Sub-Uplevel-%{version}.tar.gz 
BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17 perl(Carp) perl(constant)
BuildRequires:  perl(strict) perl(warnings) perl(Exporter) perl(File::Temp)
BuildRequires:  perl(File::Spec) perl(lib) perl(Test::More) >= 0.88 perl(CPAN::Meta) >= 2.120900
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Carp)

%global __provides_exclude ^perl\\(DB\\)$

%description
Apparently run a function in a higher stack frame.

%package  help
Summary:  Help documentation for %{name}

%description  help
Man pages and other related help documents for %{name}.

%prep
%autosetup -n Sub-Uplevel-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes CONTRIBUTING.mkdn README LICENSE examples/
%{perl_vendorlib}/Sub/

%files help
%{_mandir}/man3/Sub::Uplevel.3*

%changelog
* Wed Feb 26 2020 wangzhishun <wangzhishun1@huawei.com> - 1:0.2800-5
- Package init
